diff --git a/src/main/java/com/zivilon/cinder_loe/items/UnnamedSpear.java b/src/main/java/com/zivilon/cinder_loe/items/UnnamedSpear.java
new file mode 100644
index 0000000..877da04
--- /dev/null
+++ b/src/main/java/com/zivilon/cinder_loe/items/UnnamedSpear.java
@@ -0,0 +1,37 @@
+package com.zivilon.cinder_loe.items;
+
+import lotr.common.item.LOTRItemSpear;
+import lotr.common.item.LOTRItemSword;
+import lotr.common.item.LOTRMaterial;
+import net.minecraft.entity.EntityLivingBase;
+import net.minecraft.entity.player.EntityPlayer;
+import net.minecraft.item.ItemStack;
+
+public class UnnamedSpear extends LOTRItemSpear {
+    private static final  double ARMOR_DAMAGE = 0.025; // Default is 5%
+
+    public UnnamedSpear(LOTRMaterial material) {
+        super(material);
+    }
+
+    @Override
+    public boolean hitEntity(ItemStack itemStack, EntityLivingBase target, EntityLivingBase attacker) {
+        if (target instanceof EntityPlayer) {
+            EntityPlayer player = (EntityPlayer) target;
+            for (int i = 0; i < 4; i++) {
+                ItemStack armorPiece = player.getCurrentArmor(i);
+                if (armorPiece != null) {
+                    int currentDurabilty = armorPiece.getMaxDamage() - armorPiece.getItemDamage();
+                    int damageAmount = (int) (currentDurabilty * ARMOR_DAMAGE);
+
+                    if (damageAmount < 1) {
+                        damageAmount = 1;
+                    }
+
+                    armorPiece.damageItem(damageAmount, player);
+                }
+            }
+        }
+        return true;
+    }
+}
diff --git a/src/main/java/com/zivilon/cinder_loe/mixins/MixinLOTRArmorModels.java b/src/main/java/com/zivilon/cinder_loe/mixins/MixinLOTRArmorModels.java
index ff3ff06..f6c3eca 100644
--- a/src/main/java/com/zivilon/cinder_loe/mixins/MixinLOTRArmorModels.java
+++ b/src/main/java/com/zivilon/cinder_loe/mixins/MixinLOTRArmorModels.java
@@ -4,7 +4,6 @@ import com.zivilon.cinder_loe.CinderLoE;
 import com.zivilon.cinder_loe.client.model.ModelBreeKettleHelmet;
 import com.zivilon.cinder_loe.client.model.ModelRedDwarfHelmet;
 import org.spongepowered.asm.mixin.Mixin;
-import org.spongepowered.asm.mixin.Overwrite;
 import org.spongepowered.asm.mixin.Shadow;
 
 import java.util.HashMap;
@@ -28,8 +27,6 @@ import lotr.client.model.LOTRModelHarnedorChestplate;
 import lotr.client.model.LOTRModelHarnedorHelmet;
 import lotr.client.model.LOTRModelHeadPlate;
 import lotr.client.model.LOTRModelHighElvenHelmet;
-import lotr.client.model.LOTRModelHighElvenHelmet;
-import lotr.client.model.LOTRModelHighElvenHelmet;
 import lotr.client.model.LOTRModelLeatherHat;
 import lotr.client.model.LOTRModelMoredainLionHelmet;
 import lotr.client.model.LOTRModelMorgulHelmet;
@@ -42,7 +39,6 @@ import lotr.client.model.LOTRModelTauredainChieftainHelmet;
 import lotr.client.model.LOTRModelTauredainGoldHelmet;
 import lotr.client.model.LOTRModelUmbarHelmet;
 import lotr.client.model.LOTRModelUrukHelmet;
-import lotr.client.model.LOTRModelUrukHelmet;
 import lotr.client.model.LOTRModelWingedHelmet;
 import lotr.common.LOTRMod;
 
diff --git a/src/main/java/com/zivilon/cinder_loe/mixins/MixinLOTRContainerAnvil.java b/src/main/java/com/zivilon/cinder_loe/mixins/MixinLOTRContainerAnvil.java
index db8a133..5f84c47 100644
--- a/src/main/java/com/zivilon/cinder_loe/mixins/MixinLOTRContainerAnvil.java
+++ b/src/main/java/com/zivilon/cinder_loe/mixins/MixinLOTRContainerAnvil.java
@@ -55,7 +55,7 @@ public class MixinLOTRContainerAnvil {
             return (materialItem.getItem() == CinderLoE.redDwarfSteel);
         if (material == CinderLoE.MATERIAL_ASH.toToolMaterial())
             return (materialItem.getItem() == CinderLoE.ingotAsh);
-        if (material == CinderLoE.MATERIAL_LIMWAITH_BONE.toToolMaterial())
+        if (material == CinderLoE.MATERIAL_BONEMOLD.toToolMaterial())
             return (materialItem.getItem() == CinderLoE.bonemold);
         if (material == CinderLoE.EVENT.toToolMaterial())
             return LOTRMod.isOreNameEqual(materialItem, "ice");
@@ -73,6 +73,8 @@ public class MixinLOTRContainerAnvil {
                 return (materialItem.getItem() == Items.iron_ingot);
             if (armorMaterial == CinderLoE.MATERIAL_BATTLENUN.toArmorMaterial())
                 return (materialItem.getItem() == Items.iron_ingot);
+            if (armorMaterial == CinderLoE.MATERIAL_BONEMOLD.toArmorMaterial())
+                return (materialItem.getItem() == CinderLoE.bonemold);
         }
 
         return false;
diff --git a/src/main/java/com/zivilon/cinder_loe/mixins/MixinLOTRTileEntityDwarvenForge.java b/src/main/java/com/zivilon/cinder_loe/mixins/MixinLOTRTileEntityDwarvenForge.java
index 4631a3e..1b86f7f 100644
--- a/src/main/java/com/zivilon/cinder_loe/mixins/MixinLOTRTileEntityDwarvenForge.java
+++ b/src/main/java/com/zivilon/cinder_loe/mixins/MixinLOTRTileEntityDwarvenForge.java
@@ -1,5 +1,6 @@
 package com.zivilon.cinder_loe.mixins;
 
+import net.minecraft.init.Blocks;
 import net.minecraft.item.Item;
 import net.minecraft.item.ItemStack;
 import net.minecraft.init.Items;
@@ -18,17 +19,18 @@ import java.lang.reflect.Field;
 
 import com.zivilon.cinder_loe.CinderLoE;
 import lotr.common.LOTRMod;
+import org.spongepowered.asm.mixin.Unique;
 
 @Mixin(LOTRTileEntityDwarvenForge.class)
 public abstract class MixinLOTRTileEntityDwarvenForge {
     protected boolean isCopper(ItemStack itemstack) {
         return (LOTRMod.isOreNameEqual(itemstack, "oreCopper") || LOTRMod.isOreNameEqual(itemstack, "ingotCopper"));
     }
-  
+
     protected boolean isTin(ItemStack itemstack) {
         return (LOTRMod.isOreNameEqual(itemstack, "oreTin") || LOTRMod.isOreNameEqual(itemstack, "ingotTin"));
     }
-  
+
     protected boolean isIron(ItemStack itemstack) {
         return (LOTRMod.isOreNameEqual(itemstack, "oreIron") || LOTRMod.isOreNameEqual(itemstack, "ingotIron"));
     }
@@ -36,6 +38,15 @@ public abstract class MixinLOTRTileEntityDwarvenForge {
     protected boolean isCoal(ItemStack itemstack) {
         return (itemstack.getItem() == Items.coal);
     }
+    @Unique
+    protected boolean cinderLoE_Git$isMithril(ItemStack itemstack) {
+        return itemstack.getItem() == Item.getItemFromBlock(LOTRMod.oreMithril) || itemstack.getItem() == LOTRMod.mithril;
+    }
+
+    @Unique
+    protected boolean cinderLoE_Git$isCoalBlock(ItemStack itemstack) {
+        return itemstack.getItem() == Item.getItemFromBlock(Blocks.coal_block);
+    }
 
     protected boolean isGoldNugget(ItemStack itemstack) {
         return (itemstack.getItem() == Items.gold_nugget);
@@ -44,16 +55,17 @@ public abstract class MixinLOTRTileEntityDwarvenForge {
     @Overwrite(remap = false)
     protected ItemStack getAlloySmeltingResult(ItemStack itemstack, ItemStack alloyItem) {
         if (isIron(itemstack) && isCoal(alloyItem))
-            return new ItemStack(LOTRMod.dwarfSteel); 
+            return new ItemStack(LOTRMod.dwarfSteel);
         if (isIron(itemstack) && alloyItem.getItem() == LOTRMod.quenditeCrystal)
-            return new ItemStack(LOTRMod.galvorn); 
+            return new ItemStack(LOTRMod.galvorn);
         if (isIron(itemstack) && alloyItem.getItem() == Item.getItemFromBlock(LOTRMod.rock) && alloyItem.getItemDamage() == 3)
-            return new ItemStack(LOTRMod.blueDwarfSteel); 
+            return new ItemStack(LOTRMod.blueDwarfSteel);
         if (isCopper(itemstack) && alloyItem.getItem() == Item.getItemById(371))
-            return new ItemStack(CinderLoE.redDwarfSteel); 
+            return new ItemStack(CinderLoE.redDwarfSteel);
         if ((isCopper(itemstack) && isTin(alloyItem)) || (isTin(itemstack) && isCopper(alloyItem)))
-            return new ItemStack(LOTRMod.bronze, 2); 
+            return new ItemStack(LOTRMod.bronze, 2);
+        if (this.cinderLoE_Git$isMithril(itemstack) && this.cinderLoE_Git$isCoalBlock(alloyItem))
+            return new ItemStack(CinderLoE.ingotAsh, 1);
         return null;
     }
 }
-
diff --git a/src/main/java/com/zivilon/cinder_loe/mixins/MixinLOTRTileEntityForgeBase.java b/src/main/java/com/zivilon/cinder_loe/mixins/MixinLOTRTileEntityForgeBase.java
index a337b4e..458892e 100644
--- a/src/main/java/com/zivilon/cinder_loe/mixins/MixinLOTRTileEntityForgeBase.java
+++ b/src/main/java/com/zivilon/cinder_loe/mixins/MixinLOTRTileEntityForgeBase.java
@@ -4,6 +4,7 @@ import com.zivilon.cinder_loe.CinderLoE;
 import lotr.common.LOTRMod;
 import lotr.common.tileentity.LOTRTileEntityAlloyForgeBase;
 import net.minecraft.init.Blocks;
+import net.minecraft.init.Items;
 import net.minecraft.item.Item;
 import net.minecraft.item.ItemStack;
 import org.spongepowered.asm.mixin.Mixin;
@@ -21,6 +22,15 @@ public abstract class MixinLOTRTileEntityForgeBase {
     protected boolean cinderLoE_Git$isCoalBlock(ItemStack itemstack) {
         return itemstack.getItem() == Item.getItemFromBlock(Blocks.coal_block);
     }
+    protected boolean isCopper(ItemStack itemstack) {
+        return (LOTRMod.isOreNameEqual(itemstack, "oreCopper") || LOTRMod.isOreNameEqual(itemstack, "ingotCopper"));
+    }
+    protected boolean isTin(ItemStack itemstack) {
+        return (LOTRMod.isOreNameEqual(itemstack, "oreTin") || LOTRMod.isOreNameEqual(itemstack, "ingotTin"));
+    }
+    protected boolean isGoldNugget(ItemStack itemstack) {
+        return (itemstack.getItem() == Items.gold_nugget);
+    }
 
     /**
      * @author Keylime
@@ -30,7 +40,11 @@ public abstract class MixinLOTRTileEntityForgeBase {
     protected ItemStack getAlloySmeltingResult(ItemStack itemstack, ItemStack alloyItem) {
         if (this.cinderLoE_Git$isMithril(itemstack) && this.cinderLoE_Git$isCoalBlock(alloyItem))
             return new ItemStack(CinderLoE.ingotAsh, 1);
+        if ((isCopper(itemstack) && isTin(alloyItem)) || (isTin(itemstack) && isCopper(alloyItem)))
+            return new ItemStack(LOTRMod.bronze, 2);
         return null;
     }
 }
 
+
+
diff --git a/src/main/java/com/zivilon/cinder_loe/recipes.java b/src/main/java/com/zivilon/cinder_loe/recipes.java
index 63dcd2e..18ae65a 100644
--- a/src/main/java/com/zivilon/cinder_loe/recipes.java
+++ b/src/main/java/com/zivilon/cinder_loe/recipes.java
@@ -141,6 +141,8 @@ public class recipes {
         GameRegistry.addShapelessRecipe(new ItemStack(CinderLoE.redDwarfSteel, 9), new Object[] { new ItemStack(CinderLoE.blockRedDwarfSteel) });
         GameRegistry.addRecipe(new ItemStack(CinderLoE.blockRedDwarfSteel, 1), new Object[] { "XXX", "XXX", "XXX",
             Character.valueOf('X'), CinderLoE.redDwarfSteel });
+        LOTRRecipes.dwarvenRecipes.add(new ShapedOreRecipe(new ItemStack(LOTRMod.banner, 1, 42), new Object[] { " YR", " X ", " Z ",
+                Character.valueOf('X'), "stickWood", Character.valueOf('Y'), Blocks.wool, Character.valueOf('Z'), "plankWood", Character.valueOf('R'), "dyeRed"}));
         GameRegistry.addRecipe(new LOTRRecipePoisonWeapon(CinderLoE.daggerRedDwarf, CinderLoE.daggerRedDwarfPoisoned));
     }
 
@@ -185,6 +187,8 @@ public class recipes {
                 Character.valueOf('X'), "bone", Character.valueOf('Y'), CinderLoE.bonemold}));
         LOTRRecipes.moredainRecipes.add(new ShapedOreRecipe(new ItemStack(CinderLoE.bootsboneLimwaith), new Object[] { "Y Y", "X X",
                 Character.valueOf('X'), "bone", Character.valueOf('Y'), CinderLoE.bonemold}));
+        LOTRRecipes.moredainRecipes.add(new ShapedOreRecipe(new ItemStack(LOTRMod.banner, 1, 43), new Object[] { " YR", " X ", " Z ",
+                Character.valueOf('X'), "stickWood", Character.valueOf('Y'), Blocks.wool, Character.valueOf('Z'), "plankWood", Character.valueOf('R'), LOTRMod.reeds}));
     }
 
     public static void registerBreeRecipes() {
diff --git a/src/main/resources/assets/cinder_loe/lang/en_US.lang b/src/main/resources/assets/cinder_loe/lang/en_US.lang
index 98eeaa9..e84478a 100644
--- a/src/main/resources/assets/cinder_loe/lang/en_US.lang
+++ b/src/main/resources/assets/cinder_loe/lang/en_US.lang
@@ -19,6 +19,7 @@ tile.lotr:cobbleDrystone.name=Cobbled Drystone
 tile.lotr:plaster.name=Plaster
 tile.lotr:voidblock.name=Void
 
+item.lotr:spearUnnamed.name=Drannach Oriour
 item.lotr:frostblade.name=Frostblade
 item.lotr:whip.name=Whip
 item.lotr:daggerVoid.name=Voidal Dagger
@@ -93,6 +94,10 @@ item.lotr:pikeAsh.name=Ash-Forged Pike
 item.lotr:spearAsh.name=Ash-Forged Spear
 
 item.lotr:banner.redDwarf.name=Banner of the Orocani
+item.lotr:banner.limwaith.name=Banner of the Limwaith
+item.lotr:banner.red.name=Red Flag
+item.lotr:banner.blue.name=Blue Flag
+item.lotr:banner.green.name=Green Flag
 
 item.spawn_egg_fangornauroch.name=Spawn Fangorn Auroch
 item.spawn_egg_fangornbear.name=Spawn Fangorn Bear
@@ -127,6 +132,7 @@ item.spawn_egg_limwaithshaman.name=Spawn Limwaith Shaman
 item.spawn_egg_limwaithfishmonger.name=Spawn Limwaith Fishmonger
 item.spawn_egg_limwaithbonewarrior.name=Spawn Limwaith Warrior
 
+entity.cinder_loe.DarkSpider.name=Dark Spider
 entity.cinder_loe.CorruptMan.name=Corrupt Man
 entity.cinder_loe.CorruptDwarf.name=Corrupt Dwarf
 entity.cinder_loe.CorruptElf.name=Corrupt Elf
@@ -134,6 +140,7 @@ entity.cinder_loe.CorruptEnt.name=Corrupt Ent
 entity.cinder_loe.CorruptHobit.name=Corrupt Hobbit
 entity.cinder_loe.CorruptOrc.name=Corrupt Orc
 
+entity.cinder_loe.BladorthinSmith.name=Bladorthin Smith
 
 entity.cinder_loe.RedDwarfSmith.name=Red Dwarf Smith
 entity.cinder_loe.RedDwarfWarrior.name=Red Dwarf Warrior
diff --git a/src/main/resources/assets/lotr/textures/items/large/spearUnnamed.png.mcmeta b/src/main/resources/assets/lotr/textures/items/large/spearUnnamed.png.mcmeta
new file mode 100644
index 0000000..56f834d
--- /dev/null
+++ b/src/main/resources/assets/lotr/textures/items/large/spearUnnamed.png.mcmeta
@@ -0,0 +1,30 @@
+{
+  "animation": {
+    "frames": [
+      7,
+      7,
+      7,
+      6,
+      6,
+      6,
+      5,
+      5,
+      5,
+      4,
+      4,
+      4,
+      3,
+      3,
+      3,
+      2,
+      2,
+      2,
+      1,
+      1,
+      1,
+      0,
+      0,
+      0
+    ]
+  }
+}
